const gulp    = require('gulp')
const nodemon = require('gulp-nodemon')

var jsScript = 'node';
if (process.env.npm_config_argv.indexOf('debug') > 0) {  
  jsScript = 'node debug';
}

gulp.task('nodemon', function (){
  return nodemon({
    script : 'index.js',
    ext    : 'js json',
    execMap: {js: jsScript},
    env    : {NODE_ENV: 'development'},
    verbose: true,
    ignore : ['build/*.js', 'dist/*.js', 'nodemon.json', '.git', 'node_modules/**/node_modules', 'gulpfile.js'],
  });
});

gulp.task('default', ['nodemon'], function () {});